###Checks for the time of day and adds requisite scores at noon###
execute store result score $dayTime nitResourceTime run time query daytime
execute if score $dayTime nitResourceTime matches 6000 run scoreboard players add @s[tag=nitLumberer] nitResourceSpawn 12
execute if score $dayTime nitResourceTime matches 6000 run scoreboard players add @s[tag=nitMiner] nitResourceSpawn 12
execute if score $dayTime nitResourceTime matches 6000 run scoreboard players add @s[tag=nitFisherman] nitResourceSpawn 4
execute if score $dayTime nitResourceTime matches 6000 run scoreboard players add @s[tag=nitFarmhand] nitResourceSpawn 1
execute if score $dayTime nitResourceTime matches 6000 run scoreboard players operation @s[tag=nitLumberer,tag=nitAtSilo] nitResourceSpawn += @s nitResourceSpawn
execute if score $dayTime nitResourceTime matches 6000 run scoreboard players operation @s[tag=nitMiner,tag=nitAtSilo] nitResourceSpawn += @s nitResourceSpawn

###Performs item and fish distribution###
execute as @s[scores={nitResourceSpawn=1..},tag=nitLumberer] at @e[tag=nitLumberStor,limit=1,sort=nearest] run summon minecraft:item ~ ~0.4 ~ {Item:{id:"minecraft:oak_log",Count:1b}}
execute as @s[scores={nitResourceSpawn=1..},tag=nitMiner] at @e[tag=nitStoneStor,limit=1,sort=nearest] run summon minecraft:item ~ ~0.4 ~ {Item:{id:"minecraft:stone",Count:1b}}
execute as @s[scores={nitResourceSpawn=1..},tag=nitFisherman] at @e[tag=nitFishPond,limit=1,sort=nearest] run summon minecraft:cod ~ ~ ~ {PersistenceRequired:1b}
execute as @s[scores={nitResourceSpawn=1..},tag=nitFarmhand] at @e[tag=nitFarmStor,limit=1,sort=nearest] run loot insert ~ ~ ~ loot nitk:command/farm_daily

###Decrements scores###
scoreboard players remove @s[scores={nitResourceSpawn=1..},tag=nitLumberer] nitResourceSpawn 1
scoreboard players remove @s[scores={nitResourceSpawn=1..},tag=nitMiner] nitResourceSpawn 1
scoreboard players remove @s[scores={nitResourceSpawn=1..},tag=nitFisherman] nitResourceSpawn 1
scoreboard players remove @s[scores={nitResourceSpawn=1..},tag=nitFarmhand] nitResourceSpawn 1

###Announces the event###
execute if score $dayTime nitResourceTime matches 6000 if entity @s[tag=nitLumberer] run title @a[tag=!global.ignore.gui] times 80 320 80
execute if score $dayTime nitResourceTime matches 6000 if entity @s[tag=nitLumberer] run title @a[tag=!global.ignore.gui,tag=nitCitizen] actionbar ["",{"text":"Resources have been transported to your town's hoppers.","color":"dark_blue"}]
execute if score $dayTime nitResourceTime matches 6000 if entity @s[tag=nitMiner] run title @a[tag=!global.ignore.gui,tag=nitCitizen] actionbar ["",{"text":"Resources have been transported to your town's hoppers.","color":"dark_blue"}]
execute if score $dayTime nitResourceTime matches 6000 if entity @s[tag=nitLumberer] at @e[tag=nitStoneStor] run playsound minecraft:block.bell.use master @a ~ ~ ~ 5
execute if score $dayTime nitResourceTime matches 6000 if entity @s[tag=nitMiner] at @e[tag=nitStoneStor] run playsound minecraft:block.bell.use master @a ~ ~ ~ 5