advancement revoke @s only nitk:recipes/castle/recipe_castle_frame

execute as @e[tag=nitKSitePlanner,limit=1,sort=nearest] at @s if entity @s[tag=nitSiteEast] run setblock ~ ~1 ~ minecraft:structure_block{ignoreEntities:0b,rotation:"NONE",posX:1,mode:"LOAD",posY:-4,sizeX:15,posZ:-7,integrity:1.0f,name:"nitk:town/castle/frame",sizeY:32,sizeZ:15} replace
execute as @e[tag=nitKSitePlanner,limit=1,sort=nearest] at @s if entity @s[tag=nitSiteEast] run setblock ~ ~2 ~ minecraft:redstone_block

execute as @e[tag=nitKSitePlanner,limit=1,sort=nearest] at @s if entity @s[tag=nitSiteWest] run setblock ~ ~1 ~ minecraft:structure_block{ignoreEntities:0b,rotation:"NONE",posX:-15,mode:"LOAD",posY:-4,sizeX:15,posZ:-7,integrity:1.0f,name:"nitk:town/castle/frame",sizeY:32,sizeZ:15} replace
execute as @e[tag=nitKSitePlanner,limit=1,sort=nearest] at @s if entity @s[tag=nitSiteWest] run setblock ~ ~2 ~ minecraft:redstone_block

execute as @e[tag=nitKSitePlanner,limit=1,sort=nearest] at @s if entity @s[tag=nitSiteNorth] run setblock ~ ~1 ~ minecraft:structure_block{ignoreEntities:0b,rotation:"NONE",posX:-7,mode:"LOAD",posY:-4,sizeX:15,posZ:-15,integrity:1.0f,name:"nitk:town/castle/frame",sizeY:32,sizeZ:15} replace
execute as @e[tag=nitKSitePlanner,limit=1,sort=nearest] at @s if entity @s[tag=nitSiteNorth] run setblock ~ ~2 ~ minecraft:redstone_block

execute as @e[tag=nitKSitePlanner,limit=1,sort=nearest] at @s if entity @s[tag=nitSiteSouth] run setblock ~ ~1 ~ minecraft:structure_block{ignoreEntities:0b,rotation:"NONE",posX:-7,mode:"LOAD",posY:-4,sizeX:15,posZ:1,integrity:1.0f,name:"nitk:town/castle/frame",sizeY:32,sizeZ:15} replace
execute as @e[tag=nitKSitePlanner,limit=1,sort=nearest] at @s if entity @s[tag=nitSiteSouth] run setblock ~ ~2 ~ minecraft:redstone_block

execute as @e[tag=nitKSitePlanner,limit=1,sort=nearest] at @s run function nitk:siteplanner/new_sites_check
execute as @e[tag=nitKSitePlanner,limit=1,sort=nearest] at @s run function nitk:siteplanner/attacks_check

###Spawns the castle's Squire if there isn't one already###
execute as @e[tag=nitKSq] at @s unless entity @e[tag=nitSquire,distance=..200] run summon villager ~ ~ ~ {VillagerData:{profession:cartographer,level:4,type:plains},Invulnerable:1,PersistenceRequired:1,NoAI:1,CustomName:"\"Squire\"",Offers:{Recipes:[{buy:{id:"minecraft:feather",Count:1},sell:{id:"minecraft:written_book",Count:1,tag:{pages:['{"text":"Use this book as guidance for building castle wings! After you\'ve built all six Castle Frames, place the requisite items in the Castle Planners in the middle of each, and I\'ll build the appropriate wing."}','["",{"text":"Castle Entry.","bold":true,"underlined":true},{"text":" A foyer for the castle, with openings on all sides.\\n \\u0020 W = White Wool\\n \\u0020 G = Gold Ingot\\n \\u0020 (Universal for Castle sites)\\n\\n \\u0020 \\u0020Sx4 \\u0020| Sx4 \\u0020| \\u0020Sx4\\n \\u0020 \\u0020Lx2 \\u0020| Gx4 \\u0020| \\u0020Lx2\\n \\u0020 \\u0020Sx8 \\u0020| Wx4 \\u0020| \\u0020Sx8","color":"reset"}]','["",{"text":"Castle Courtyard.","bold":true,"underlined":true},{"text":" A royal garden and apiary.\\n \\u0020 R = Poppy\\n \\u0020 B = Beehive\\n \\u0020 A = Oak Leaves\\n\\n \\u0020 \\u0020Rx4 \\u0020| Bx1 \\u0020| \\u0020Rx4\\n \\u0020 \\u0020Sx8 \\u0020| Gx4 \\u0020| \\u0020Sx8\\n \\u0020 \\u0020Ax16\\u0020| Ax16\\u0020| \\u0020Ax16","color":"reset"}]','["",{"text":"Castle Bedroom.","bold":true,"underlined":true},{"text":" A well stocked home for our town founder.\\n \\u0020 B = White Bed\\n \\u0020 J = Jukebox\\n\\n \\u0020 \\u0020Sx4 \\u0020| Bx1 \\u0020| \\u0020Sx4\\n \\u0020 \\u0020Sx4 \\u0020| Gx4 \\u0020| \\u0020Sx4\\n \\u0020 \\u0020Sx8 \\u0020| Jx1 \\u0020| \\u0020Sx8","color":"reset"}]','["",{"text":"Castle Tower.","bold":true,"underlined":true},{"text":" Performs same duties as town guard tower.\\n \\u0020 B = Bow\\n\\n \\u0020 \\u0020Sx4 \\u0020| Bx1 \\u0020| \\u0020Sx4\\n \\u0020 \\u0020Sx4 \\u0020| Gx6 \\u0020| \\u0020Sx4\\n \\u0020 \\u0020Sx8 \\u0020| Lx8 \\u0020| \\u0020Sx8","color":"reset"}]','["",{"text":"Castle Stable.","bold":true,"underlined":true},{"text":" Comes stocked with horses and comfortable living space.\\n \\u0020 H = Hay Bale\\n \\u0020 D = Dirt\\n\\n \\u0020 \\u0020Sx4 \\u0020| Hx2 \\u0020| \\u0020Sx4\\n \\u0020 \\u0020Sx4 \\u0020| Gx8 \\u0020| \\u0020Sx4\\n \\u0020 \\u0020Sx8 \\u0020| Dx4 \\u0020| \\u0020Sx8","color":"reset"}]','["",{"text":"Castle Library.","bold":true,"underlined":true},{"text":" Hires a Royal Librarian.\\n \\u0020 B = Bookshelf\\n \\u0020 A = Lantern\\n\\n \\u0020 \\u0020Sx4 \\u0020| Bx8 \\u0020| \\u0020Sx4\\n \\u0020 \\u0020Sx4 \\u0020| Gx8 \\u0020| \\u0020Sx4\\n \\u0020 \\u0020Sx8 \\u0020| Ax4 \\u0020| \\u0020Sx8","color":"reset"}]','["",{"text":"Castle Treasury.","bold":true,"underlined":true},{"text":" Automatically collects taxes from all Citizens.\\n \\u0020 H = Hopper\\n \\u0020 C = Chest\\n\\n \\u0020 \\u0020Sx4 \\u0020| Hx1 \\u0020| \\u0020Sx4\\n \\u0020 \\u0020Sx4 \\u0020| Gx12\\u0020| \\u0020Sx4\\n \\u0020 \\u0020Sx8 \\u0020| Cx2 \\u0020| \\u0020Sx8","color":"reset"}]'],title:"Castle Wing Recipes",author:"Squire"}},maxUses:9999999}]},Tags:[nitCitizen,nitSquire,global.ignore]}
kill @e[tag=nitKSq]

tag @a add nitCitizen
tag @e[type=minecraft:villager,distance=..20] add nitCitizen
scoreboard players operation @e[tag=nitCitizen,distance=..20] nitID = @e[tag=nitKTP,limit=1,sort=nearest] nitID
execute as @e[tag=nitKSitePlanner,limit=1,sort=nearest] at @s run fill ~ ~ ~ ~ ~3 ~ air
execute as @e[tag=nitKSitePlanner,limit=1,sort=nearest] at @s run kill @e[tag=!nitCitizen,distance=..2,tag=!global.ignore,tag=!global.ignore.kill]
execute as @e[tag=nitKSitePlanner,limit=1,sort=nearest] at @s run kill @s