###Establishes identity matching for the Town Planner###
scoreboard players operation #nitID nitTemp = @p[limit=1,advancements={nitco:nitco/ach5.1=true}] nitID
execute if score @s nitID = #nitID nitTemp run tag @s add nitID_match

###Performs the update to the matching Town Planner###
execute as @s[tag=nitID_match,tag=!nitKTPnew] if entity @p[limit=1,advancements={nitco:nitco/ach5.1=true}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:feather",Count:1},sell:{id:"minecraft:written_book",Count:1,tag:{pages:['["",{"text":"End Portal.","bold":true,"underlined":true},{"text":" A housing structure for completing an End Portal, to stop the Tyrants invasion.\\n \\u0020 E = Eye of Ender\\n \\u0020 C = Chain\\n\\n \\u0020 \\u0020Ex6 \\u0020| Cx16 \\u0020| \\u0020Ex6\\n \\u0020 \\u0020Sx32\\u0020|   ?   \\u0020|\\u0020Sx32\\n \\u0020 \\u0020Sx64\\u0020| Lx16\\u0020| \\u0020Sx64","color":"reset"}]','["",{"text":"Completed Portal.","bold":true,"underlined":true},{"text":" Completes the End Portal when placed in the Portal Reactor.\\n \\u0020 E = Eye of Ender\\n \\u0020 G = Gold Ingot\\n \\u0020 N = Nether Star\\n\\n \\u0020 \\u0020Ex1 \\u0020| Ex1  \\u0020| \\u0020Ex1\\n \\u0020 \\u0020Ex1 \\u0020| Gx64 \\u0020|\\u0020Ex1 \\n \\u0020 \\u0020Ex1 \\u0020| Nx1 \\u0020| \\u0020Ex1","color":"reset"}]'],title:"End Portal Recipe",author:"Town Planner"}},maxUses:1}
execute if entity @p[limit=1,advancements={nitco:nitco/ach5.1=true}] run tag @s[tag=nitID_match] add nitKTPnew
execute as @s[tag=nitID_match] at @s if entity @p[limit=1,advancements={nitco:nitco/ach5.1=true}] run particle minecraft:happy_villager ~ ~1 ~ 0.3 0.5 0.3 0 1 normal

###Informs the players of the update###
execute if entity @s[tag=nitKTP,tag=nitKTPnew,tag=nitID_match] if entity @p[limit=1,sort=nearest,tag=!nitKTPinformed,nbt={Dimension:"minecraft:overworld"},advancements={nitco:nitco/ach5.1=true}] run title @a[tag=!global.ignore.gui] times 80 320 80
execute if entity @s[tag=nitKTP,tag=nitKTPnew,tag=nitID_match] if entity @p[limit=1,sort=nearest,tag=!nitKTPinformed,nbt={Dimension:"minecraft:overworld"},advancements={nitco:nitco/ach5.1=true}] run title @a[distance=..50,tag=nitDenizen] actionbar ["",{"text":"These invasion plans seem interesting. Maybe the Town Planner can decipher them...","color":"dark_blue"}]
execute if entity @s[tag=nitKTP,tag=nitKTPnew,tag=nitID_match] if entity @p[limit=1,sort=nearest,tag=!nitKTPinformed,nbt={Dimension:"minecraft:overworld"},advancements={nitco:nitco/ach5.1=true}] run tag @a[distance=..50,tag=nitDenizen] add nitKTPinformed
tag @s[tag=nitID_match] remove nitID_match
