###Enables contract books###
execute as @s if predicate nitk:contract run function nitk:contract_enable

###Generates resources once per day###
execute in minecraft:overworld as @s[type=villager] at @s run function nitk:recurs/kingdom_resources
execute in minecraft:overworld as @s[tag=nitResourceChest] at @s run function nitk:recurs/chests_daily
execute in minecraft:overworld as @s[tag=nitCitizen] at @s run function nitk:recurs/castle_taxes
execute in minecraft:overworld as @s[tag=nitLibrarian] at @s run function nitk:recurs/library_shuffle_loot
execute in minecraft:the_nether as @s[type=villager] at @s run function nitco:recurs/fortress_resources
execute in minecraft:the_nether as @s[tag=nitBlazeReactor] at @s run function nitco:recurs/blaze_resource
execute in minecraft:the_end as @s[type=villager] at @s run function nitref:recurs/city_resources
execute as @s[tag=nitGCarrot] at @s run function nitref:recurs/gold_carrot_farm
execute as @s[tag=nitGApple] at @s run function nitref:recurs/gold_apple_tree
execute as @s[tag=nitEndermollusk] at @s run function nitref:recurs/oyster_pool
execute as @s[tag=nitPhantom] at @s run function nitref:recurs/phantom_aviary

###Kills destroyed siteplanners###
execute as @s[tag=nitKSitePlanner] at @s run function nitk:siteplanner_kill
execute as @s[tag=nitKCastlePlanner] at @s run function nitk:siteplanner_kill
execute as @s[tag=nitKRailPlanner] at @s run function nitk:siteplanner_kill
execute as @s[tag=nitCSitePlanner] at @s run function nitk:siteplanner_kill
execute as @s[tag=nitCKeepPlanner] at @s run function nitk:siteplanner_kill
execute as @s[tag=nitPortalPlanner] at @s run function nitk:siteplanner_kill
execute as @s[tag=nitRSitePlanner] at @s run function nitk:siteplanner_kill

###Performs functions for some town, fortress, and city structures###
execute as @s[tag=nitTimeAdd] at @s run function nitk:recurs/stardial_add
execute as @s[tag=nitTimeSub] at @s run function nitk:recurs/stardial_sub
execute as @s[tag=nitMagicFarm] at @s run function nitco:recurs/magic_farm
execute as @s[tag=nitEndstoneGen] at @s run function nitref:recurs/endstone_generator

###Runs the special functions for some natural structures###
execute as @s[tag=nitHellFactory] at @s run function nitco:special/factory_wither
execute as @s[tag=nitBoxMarker,scores={nitBoxProg=..6}] at @s unless block ~ ~ ~ minecraft:trapped_chest run function nitco:special/paradox_box/box_reset

###Keeps the final advancement from being achieved until the last moment###
advancement revoke @s[advancements={nitk:nitk/ach4.1=false}] only nitk:nitk/ach5 to-nether

###Alters the town planner and makes him sparkle, revealing new End recipes###
execute as @s[tag=nitKTP] at @s run function nitref:planner_update

###Performs checks for the portal banners used during invasion###
execute as @s[tag=nitInvasionPortal] at @s if entity @e[type=minecraft:arrow,distance=..1] run function nitref:invasion/portal_explode