###Checks for eastern button press; adds tier to nitPillars 1 and 4###
execute if block ~2 ~3 ~ minecraft:stone_button[powered=true] run scoreboard players add @e[tag=nitPillar1] nitPillarTier 1
execute if block ~2 ~3 ~ minecraft:stone_button[powered=true] run scoreboard players add @e[tag=nitPillar4] nitPillarTier 1
execute if block ~2 ~3 ~ minecraft:stone_button[powered=true] run setblock ~2 ~3 ~ minecraft:stone_button[powered=false,face=floor,facing=east]

###Checks for southern button press; subtracts tier from nitPillars 1 and 3###
execute if block ~ ~3 ~2 minecraft:stone_button[powered=true] run scoreboard players remove @e[tag=nitPillar1] nitPillarTier 1
execute if block ~ ~3 ~2 minecraft:stone_button[powered=true] run scoreboard players remove @e[tag=nitPillar3] nitPillarTier 1
execute if block ~ ~3 ~2 minecraft:stone_button[powered=true] run setblock ~ ~3 ~2 minecraft:stone_button[powered=false,face=floor,facing=south]

###Checks for western button press; adds tier to nitPillar 2 and subtracts from nitPillar 4###
execute if block ~-2 ~3 ~ minecraft:stone_button[powered=true] run scoreboard players add @e[tag=nitPillar2] nitPillarTier 1
execute if block ~-2 ~3 ~ minecraft:stone_button[powered=true] run scoreboard players remove @e[tag=nitPillar4] nitPillarTier 1
execute if block ~-2 ~3 ~ minecraft:stone_button[powered=true] run setblock ~-2 ~3 ~ minecraft:stone_button[powered=false,face=floor,facing=west]

###Checks for northern button press; adds tier to nitPillar 3 and subtracts from nitPillar 2###
execute if block ~ ~3 ~-2 minecraft:stone_button[powered=true] run scoreboard players add @e[tag=nitPillar3] nitPillarTier 1
execute if block ~ ~3 ~-2 minecraft:stone_button[powered=true] run scoreboard players remove @e[tag=nitPillar2] nitPillarTier 1
execute if block ~ ~3 ~-2 minecraft:stone_button[powered=true] run setblock ~ ~3 ~-2 minecraft:stone_button[powered=false,face=floor,facing=north]

scoreboard players set @e[tag=nitPillar,scores={nitPillarTier=..0}] nitPillarTier 1
scoreboard players set @e[tag=nitPillar,scores={nitPillarTier=5..}] nitPillarTier 4

###Performs physical tier adjustments###
execute at @e[tag=nitPillar,scores={nitPillarTier=1}] run setblock ~ ~1 ~ minecraft:sand
execute at @e[tag=nitPillar,scores={nitPillarTier=1}] run setblock ~ ~2 ~ minecraft:air

execute at @e[tag=nitPillar,scores={nitPillarTier=2}] run setblock ~ ~2 ~ minecraft:sand
execute at @e[tag=nitPillar,scores={nitPillarTier=2}] run setblock ~ ~3 ~ minecraft:air

execute at @e[tag=nitPillar,scores={nitPillarTier=3}] run setblock ~ ~3 ~ minecraft:sand
execute at @e[tag=nitPillar,scores={nitPillarTier=3}] run setblock ~ ~4 ~ minecraft:air

execute at @e[tag=nitPillar,scores={nitPillarTier=4}] run setblock ~ ~4 ~ minecraft:sand
execute at @e[tag=nitPillar,scores={nitPillarTier=4}] run setblock ~ ~5 ~ minecraft:air

execute if entity @e[tag=nitPillar1,scores={nitPillarTier=4}] if entity @e[tag=nitPillar2,scores={nitPillarTier=4}] if entity @e[tag=nitPillar3,scores={nitPillarTier=4}] if entity @e[tag=nitPillar4,scores={nitPillarTier=4}] run summon minecraft:item ~ ~3 ~ {Item:{id:"minecraft:music_disc_strad",Count:1b,tag:{HideFlags:1,display:{Lore:['{"text":"A mysterious artifact"}','{"text":"emblazoned with cosmic knowledge."}'],Name:'{"text":"Inscribed Sundisc"}'},Enchantments:[{lvl:0,id:"minecraft:protection"}]}}}
execute if entity @e[tag=nitPillar1,scores={nitPillarTier=4}] if entity @e[tag=nitPillar2,scores={nitPillarTier=4}] if entity @e[tag=nitPillar3,scores={nitPillarTier=4}] if entity @e[tag=nitPillar4,scores={nitPillarTier=4}] run playsound minecraft:block.end_portal.spawn record @p ~ ~3 ~ 5
execute if entity @e[tag=nitPillar1,scores={nitPillarTier=4}] if entity @e[tag=nitPillar2,scores={nitPillarTier=4}] if entity @e[tag=nitPillar3,scores={nitPillarTier=4}] if entity @e[tag=nitPillar4,scores={nitPillarTier=4}] run setblock ~ ~ ~ minecraft:bedrock